<template>
  <div id="component">
    <v-row align="center" justify="space-around">
      <ButtonCpn
        class="white--text"
        text-button="Click me"
        height="40"
        color="error"
        depressed
        :loading="loading"
        :disabled="loading"
        @click="onClick"
      />

      <ButtonCpn
        class="white--text"
        text-button="Click me"
        height="40"
        color="primary"
        depressed
        rounded
        @click="onClick"
      />

      <ButtonCpn
        class="white--text"
        text-button="Click me"
        height="40"
        color="primary"
        depressed
        outlined
        rounded
        @click="onClick"
      />
    </v-row>
  </div>
</template>

<script>
export default {
  name: 'ComponentPage',

  data() {
    return {
      loading: false,
    };
  },

  methods: {
    onClick() {
      this.loading = true;
      setTimeout(() => {
        this.loading = false;
      }, 2000);
    },
  },
};
</script>

<style lang="scss" scoped>
#component {
  width: 960px;
  margin: 50px auto;
}
</style>
